NSCD(8)

NOM
/usr/sbin/nscd - Démon cache des services de noms

DESCRIPTION
Nscd est un démon qui fournit un cache pour les requêtes aux services des noms les plus courants. Le fichier de configuration, /etc/nscd.conf, détermine le comportement du démon de cache. Voir nscd.conf(5). Nscd fournit un cache pour les accès aux bases de données passwd(5), group(5), et hosts(5) à travers les interfaces standard de la bibliothèque C, comme getpwnam(3), getpwuid(3), getgrnam(3), getgrgid(3), gethostbyname(3), et autres. Il y a deux caches pour chaque base de données : un positif pour les éléments trouvés, un auttre négatif pour les éléments non trouvés. Chaque cache a une durée TTL (time-to-live) pour ses données ; la modification de la base de données locale (/etc/passwd, et les autres) invalide le cache dans les quinze secondes. Notez que le fichier shadow est volontairement non mis en cache. Les appels getspnam(3) ne sont donc pas cachés.

OPTIONS

--help
    vous affiche une liste des options et leurs significations.

NOTES
Nscd ne sait rien des protocoles sous-jacents pour un service. Ceci signifie que si vous modifiez /etc/resolv.conf pour les requêtes DNS, nscd continuera à utiliser l'ancien DNS si on a configuré /etc/nsswitch.conf pour qu'il emploie le DNS pour les recherches d'hôtes. Dans ce cas, il faudra redémarrer nscd.

VOIR AUSSI
nscd.conf(5), nsswitch.conf(5)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 25 juillet 2003 et révisée le 17 juillet 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 nscd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.